List subscribed feeds for the authenticated user
curl --request POST \
--url https://memex.garden/api/list-feeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://memex.garden/api/list-feeds"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://memex.garden/api/list-feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feeds": [
{
"feedId": "<string>",
"feedUrl": "<string>",
"feedType": "rss",
"title": "<string>",
"hasNewEntries": true,
"siteUrl": "<string>",
"description": "<string>",
"authorName": "<string>",
"avatarUrl": "<string>",
"lastFetched": "2023-11-07T05:31:56Z",
"lastPublishedEntry": "2023-11-07T05:31:56Z",
"lastPost": "2023-11-07T05:31:56Z",
"indexedUntil": "2023-11-07T05:31:56Z",
"earliestEntry": "2023-11-07T05:31:56Z",
"postCount": 123,
"subscribedUntil": "2023-11-07T05:31:56Z",
"lastSeen": "2023-11-07T05:31:56Z",
"lastMarkAll": "2023-11-07T05:31:56Z",
"status": "active",
"backfilled": true,
"isPublic": true,
"initialImport": {
"importRequestId": "<string>",
"status": "queued",
"totalEntries": 123,
"processedEntries": 123,
"savedEntries": 123,
"failedEntries": 123,
"percent": 123,
"errorMessage": "<string>"
}
}
]
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}API reference
List subscribed feeds for the authenticated user
Returns the authenticated user’s subscribed RSS and YouTube feeds.
POST
/
list-feeds
List subscribed feeds for the authenticated user

